/***************************************************************************
 *
 *   ::::_audioeditor_::::
 *   a simple multitrack audio editor
 *
 *   main
 *   source file
 *
 *   begin                : Jan 2006
 *   copyright            : (C) 2006 by Georg Holzmann
 *   email                : grh@mur.at
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

/*! 
 * \file main.cpp
 *
 * \brief ::::_audioeditor_::::
 *
 * _audioeditor_ is a simple crossplatform multitrack audioeditor.
 * It is based on code and thoughts by many people - see the notes
 * in the specific files.
 *
 * \note You will need Qt >= 4.0 to use it!
 */

#include <QApplication>
#include "mainwindow.h"

int main(int argc, char *argv[])
{
  Q_INIT_RESOURCE(images);
  
  QApplication app(argc, argv);
  MainWindow *mainWin = new MainWindow;
  mainWin->show();
  return app.exec();
}
