/***************************************************************************
 *
 *   ::::_audioeditor_::::
 *   a simple multitrack audio editor
 *
 *   mainapplication
 *   header file
 *
 *   begin                : Jan 2006
 *   copyright            : (C) 2006 by Georg Holzmann
 *   email                : grh@mur.at
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

#ifndef MAINAPPLICATION_H__
#define MAINAPPLICATION_H__

#include <QApplication>

class MainWindow;
class AudioCtl;

/*!
 * \class MainApplication
 *
 * This is the main application class.
 * It contains the audio controller, the main window etc.
 */
class MainApplication : public QApplication
{
  Q_OBJECT
      
  public:
    MainApplication(int argc, char **argv);
    virtual ~MainApplication();
    
  private:
    
    /*! the toplevel mainwindow */
    MainWindow *m_mainwindow;
    
    /*! the audio controller */
    AudioCtl *m_audioctl;
    
};

#endif // MAINAPPLICATION_H__
